## org.gnome.evolution.dataserver.Source.OAuth2Support org.gnome.evolution.dataserver.Source.OAuth2Support — Supports OAuth 2.0 authentication |

## Methods

    GetAccessToken (OUT s access_token,
                    OUT i expires_in);

## Description

This interface is used by data sources that support OAuth 2.0 authentication, usually backed by a desktop-wide authentication service such as GNOME Online Accounts.

## Method Details

### The GetAccessToken() method

    GetAccessToken (OUT s access_token,
                    OUT i expires_in);

valid for, or 0 if unknown

Obtains an access token that can be used to access OAuth2-based services for the data source.

`OUT s `access_token``: | The access token
`OUT i `expires_in``: | The duration in seconds that the returned token is